# Root “sphobjinv” Entrypoint Usage

The following options of the ‘root’ of the `sphobjinv` CLI entrypoint are documented in this ‘orphan’ page so that they will appear in the docset objects.inv and be available for linking, if needed, but otherwise be hidden from the navigation of the documentation.

-h, --help

  Show help message and exit

    usage: sphobjinv [-h] [-v] {convert,suggest} ...

    Format conversion for and introspection of intersphinx 'objects.inv' files.

    options:
      -h, --help         show this help message and exit
      -v, --version      Print package version & other info

    Subcommands:
      {convert,suggest}  Execution mode. Type 'sphobjinv [mode] -h' for more
                         information on available options. Mode names can be
                         abbreviated to their first two letters.
        convert (co)     Convert intersphinx inventory to zlib-compressed,
                         plaintext, or JSON formats.
        suggest (su)     Fuzzy-search intersphinx inventory for desired object(s).

-v, --version

  Print package version & other info

    sphobjinv v2.4

    Copyright (c) 2016-2026 Brian Skinn and community contributors
    License: The MIT License

    Bug reports & feature requests: https://github.com/bskinn/sphobjinv
    Documentation: https://sphobjinv.readthedocs.io